{% extends "base.html" %}
{% load static %}
{% block css %}
<style type="text/css">
  .center {
    align-items: center;
    text-align: center;
    margin: auto;
  }
  .margin-top-20 {
    margin-top: 20px;
  }
  .margin-bottom-10 {
    margin-bottom: 10px;
  }
</style>
{% endblock %}

{% block content %}
<section name="container" class="content">
  <h2>CREATE UTANG RECORD</h2>
  <form id="form" name="form" method="POST" action="{% url 'crud:create' %}">
    {% csrf_token %}
    <input type="text" name="nama" placeholder="nama">
    <br>
    <label for="kategori">Pilih kategori:</label>
    <select id="kategori" name="kategori">
      <option value="utang">utang</option>
      <option value="piutang">piutang</option>
    </select>
    <br>
    <input type="integer" name="jumlah" placeholder="jumlah" min="0">
    <br>
    <textarea name="keterangan" rows="10" cols="30" placeholder="Keterangan">Keterangan</textarea>
    <br>
    <button type="submit">Submit</button>
  </form>

  <div class="files-section">
    <div class="center margin-top-20 margin-bottom-10">
      <h2>RECORD LIST</h2>
    </div>
    <table class="table">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">nama</th>
          <th scope="col">kategori</th>
          <th scope="col">jumlah</th>
          <th scope="col">delete</th>
        </tr>
      </thead>
      <tbody>
        {% for utang in utangs %}
        <tr>
          <th scope="row"><a href="/detail/{{ utang.id }}">{{ forloop.counter }}</a></th>
          <td>{{ utang.nama }}</td>
          <td>{{ utang.kategori }}</td>
          <td>{{ utang.jumlah }}</td>
          <td><a href="/delete/{{ utang.id }}">DELETE</a></td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</section>
{% endblock %}

{% block javascript %}
{% endblock %}
